Task read

get/Task/{id}
Page View

This resource represents a task or request for an action to be performed in healthcare workflows. Each task entry contains the task description, status, priority, assigned party, and relevant dates.

You can review or retrieve task information with FHIR® passthrough.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

read

Review a specific Task resource with workflow details, status, and assignment information.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you're guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Task/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    Task identifier

Response fields and example

Example Task
json
1
{}

    A profile on the Task resource that conforms to Redox requirements. Represents a task to be performed.

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Task
  • status
    required, string

    The current status of the task.

    Possible Values: draft, requested, received, accepted, rejected, ready, cancelled, in-progress, on-hold, failed, completed, entered-in-error
  • intent
    required, string

    Indicates the "level" of actionability associated with the Task, i.e. i+R[9]Cs this a proposed task, a planned task, an actionable task, etc.

    Possible Values: unknown, proposal, plan, order, original-order, reflex-order, filler-order, instance-order, option
  • id
    string

    The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

  • identifier
    Array of object

    The business identifier for this task.

    • extension
      Array of Boolean, String, CodeableConcept, Coding

      May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

      • url
        required, string

        Source of the definition for the extension code - a logical name or a URL.

      • valueBoolean
        boolean

        A single value for the extension.

    • use
      string

      The purpose of this identifier.

      Possible Values: usual, official, temp, secondary, old (If known)
    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • businessStatus
    object

    Contains business-specific nuances of the business state.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • priority
    string

    Indicates how quickly the Task should be addressed with respect to other requests.

    Possible Values: routine, urgent, asap, stat
  • code
    object

    A name or code (or both) briefly describing what the task involves.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • description
    string

    A free-text description of what is to be performed.

  • focus
    object

    The request being actioned or the resource being manipulated by this task.

    Must be a resource of type Resource.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • for
    object

    The entity who benefits from the performance of the service specified in the task (e.g., the patient).

    Must be a resource of type Patient.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • encounter
    object

    The healthcare event (e.g. a patient and healthcare provider interaction) during which this task was created.

    Must be a resource of type Encounter.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • authoredOn
    string

    The date and time this task was created.

  • lastModified
    string

    The date and time of last modification to this task.

  • requester
    object

    The creator of the task.

    Must reference one of the following types of resources:

    • Practitioner
    • Organization
    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • owner
    object

    Individual organization or Device currently responsible for task execution.

    Must reference one of the following types of resources:

    • Practitioner
    • Organization
    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • reasonCode
    object

    A description or code indicating why this task needs to be performed.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • note
    Array of object

    Free-text information captured about the task as it progresses.

    • text
      required, string

      The text of the annotation in markdown format.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.